# $Revision: 1.23 $, $Date: 2011/11/07 19:48:41 $
Summary:	A high-level cross-protocol url-grabber
Summary(pl.UTF-8):	Wysokopoziomowa biblioteka do wychwytywania URL-i do wielu protokołów
Name:		python-urlgrabber
Version:	3.9.1
Release:	6
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	http://urlgrabber.baseurl.org/download/urlgrabber-%{version}.tar.gz
# Source0-md5:	00c8359bf71062d0946bacea521f80b4
Patch1:		urlgrabber-HEAD.patch
URL:		http://urlgrabber.baseurl.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel
BuildRequires:	python-pycurl >= 7.19
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	python-pycurl >= 7.19
Conflicts:	c-ares < 1.6.0-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-level cross-protocol url-grabber for Python supporting HTTP,
FTP and file locations. Features include keepalive, byte ranges,
throttling, authentication, proxies and more.

%description -l pl.UTF-8
Wysokopoziomowa biblioteka Pythona do wychwytywania URL-i dla wielu
protokołów, obsługująca odnośniki HTTP, FTP i file. Możliwości
obejmują połączenia keepalive, przedziały bajtów, tłumienie,
uwierzytelnianie, proxy itp.

%prep
%setup -q -n urlgrabber-%{version}
%patch1 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/urlgrabber-%{version}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/urlgrabber
%{py_sitescriptdir}/urlgrabber
%{py_sitescriptdir}/urlgrabber-*.egg-info

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-urlgrabber.spec,v $
Revision 1.23  2011/11/07 19:48:41  glen
- new update to latest head with a number of patches collected from
  older bug reports.
- drop provides urlgrabber (nothing in th requires that now)
- rel 6

Revision 1.22  2010/12/03 18:49:45  qboosh
- use rm macro

Revision 1.21  2010/11/13 00:21:32  pawelz
- release 5

Revision 1.20  2010/07/08 08:43:18  arekm
- release 4

Revision 1.19  2010/02/07 13:32:14  glen
- resolv.conf hack fixed in c-ares; rel 3

Revision 1.18  2010/02/03 22:37:21  glen
- builders /etc/resolv.conf hack; rel 2

Revision 1.17  2010/02/03 22:03:03  glen
- merge 3.9.1 from DEVEL (ok by arekm); rel 1

Revision 1.16  2010/02/03 01:57:50  sparky
- BR: python-devel

Revision 1.15.2.2  2010/02/03 00:28:58  glen
- pycurl dependency, HEAD patch from fc

Revision 1.15.2.1  2010/02/02 23:58:49  glen
- 3.9.1

Revision 1.15  2010/02/02 23:56:55  glen
- update url

Revision 1.14  2008/10/03 18:02:51  arekm
- release 4

Revision 1.13  2008-04-25 20:13:18  glen
- py_postclean

Revision 1.12  2007-12-17 22:30:42  glen
- rel 2

Revision 1.11  2007-11-01 17:37:58  qboosh
- LGPL v2.1+

Revision 1.10  2007/11/01 17:20:08  qboosh
- python deps

Revision 1.9  2007/11/01 16:39:32  arekm
- back to stable 3.0.x series

Revision 1.8  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.6  2007/01/02 00:06:44  arekm
- up to 3.1.0

Revision 1.5  2006/09/16 09:57:24  maciek2w
- updated to 2.9.10

Revision 1.4  2006/05/24 18:53:08  glen
- better group

Revision 1.3  2006/05/24 18:42:25  glen
- 2.9.8

Revision 1.2  2005/04/24 14:26:05  qboosh
- pl, cleanups, added Source0 URL, use explicit file list

Revision 1.1  2005/04/23 21:49:05  patrys
- Initial PLD release
